Шаблон:Таблица ролей/styles.css: различия между версиями

Материал из Space Station 14 Вики
мНет описания правки
Нет описания правки
 
(не показано 18 промежуточных версий этого же участника)
Строка 1: Строка 1:
.таблица-ролей {
.таблица-ролей {
     display: grid;
    background: var(--theme-bg-color-100);
     gap: 8px;
    border: 1px solid var(--theme-border-color-base);
    padding: 0.4em;
    border-radius: var(--border-radius-low);
    width: 100%;
}
 
.таблица-ролей__content {
    padding: 14px 12px;
     display: flex;
     gap: 12px;
    justify-content: space-evenly;
    align-items: flex-start;
    flex-wrap: wrap;
    border: 1px solid var(--color-lighter-alpha-x);
    border-top: none;
    border-radius: var(--border-radius-low);
}
}


.таблица-ролей__table {
.таблица-ролей__content > .link-card {
display: flex;
    min-width: 165px;
flex-direction: row;
flex-wrap: wrap;
justify-content: space-evenly;
}
}


.таблица-ролей__title {
.таблица-ролей__header {
     display: flex;
     display: flex;
     gap: 8px;
     justify-content: space-between;
    align-items: center;
    padding: 2px 8px;
    font-weight: bold;
    border-radius: var(--border-radius-low);
    border-top: 1px solid var(--color-lighter-alpha-x);
    border-bottom: 2px solid var(--color-darkened-border);
    font-size: var(--font-size-l);
    box-shadow: var(--box-shadow);
    position: relative;
}
}


.таблица-ролей__sub-title {
 
     padding: 0.2em 0.4em 0.2em;
.таблица-ролей__sub {
     font-weight: bold;
     display: grid;
     background: var(--color-contrast2-dark);
     gap: 6px;
     text-align: center;
     grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
     margin-top: 6px;
}
}


.таблица-ролей__name {
.таблица-ролей__sub-content {
padding: 2px;
border: 1px solid var(--color-lighter-alpha-x);
border-radius: 0.3em;
margin-bottom: 0.2em;
    background: var(--color-contrast2);
     border-radius: var(--border-radius-low);
     border-radius: var(--border-radius-low);
     border-top: 1px solid rgba(var(--color-lighter--rgb), 0.07);
}
    border-bottom: 2px solid var(--color-darkened-border);
 
.таблица-ролей__sub > div {
     padding: 0.2em 0.4em 0.2em;
}
}

Текущая версия от 01:41, 24 июня 2026

.таблица-ролей {
    background: var(--theme-bg-color-100);
    border: 1px solid var(--theme-border-color-base);
    padding: 0.4em;
    border-radius: var(--border-radius-low);
    width: 100%;
}

.таблица-ролей__content {
    padding: 14px 12px;
    display: flex;
    gap: 12px;
    justify-content: space-evenly;
    align-items: flex-start;
    flex-wrap: wrap;
    border: 1px solid var(--color-lighter-alpha-x);
    border-top: none;
    border-radius: var(--border-radius-low);
}

.таблица-ролей__content > .link-card {
    min-width: 165px;
}

.таблица-ролей__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2px 8px;
    font-weight: bold;
    border-radius: var(--border-radius-low);
    border-top: 1px solid var(--color-lighter-alpha-x);
    border-bottom: 2px solid var(--color-darkened-border);
    font-size: var(--font-size-l);
    box-shadow: var(--box-shadow);
    position: relative;
}


.таблица-ролей__sub {
    display: grid;
    gap: 6px;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    margin-top: 6px;
}

.таблица-ролей__sub-content {
	border: 1px solid var(--color-lighter-alpha-x);
    border-radius: var(--border-radius-low);
}

.таблица-ролей__sub > div {
    padding: 0.2em 0.4em 0.2em;
}